DBusMemPool Struct Reference
D-Bus secret internal implementation details » Memory pool implementation details

Internals fields of DBusMemPool. More...

## Data Fields

size_t | element_size
| size of a single object in the pool
size_t | block_size
| size of most recently allocated block
unsigned int | zero_elements: 1
| whether to zero-init allocated elements
DBusFreedElement * | free_elements
| a free list of elements to recycle
DBusMemBlock * | blocks
| blocks of memory from malloc()
int | allocated_elements
| Count of outstanding allocated elements.

## Detailed Description

Internals fields of DBusMemPool.

Definition at line 108 of file dbus-mempool.c.

## Field Documentation

## allocated_elements

int DBusMemPool::allocated_elements

Count of outstanding allocated elements.

Definition at line 116 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), _dbus_mem_pool_dealloc(), and _dbus_mem_pool_new().

## block_size

size_t DBusMemPool::block_size

size of most recently allocated block

Definition at line 111 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_new().

## blocks

DBusMemBlock* DBusMemPool::blocks

blocks of memory from malloc()

Definition at line 115 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), _dbus_mem_pool_dealloc(), and _dbus_mem_pool_free().

## element_size

size_t DBusMemPool::element_size

size of a single object in the pool

Definition at line 110 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_new().

## free_elements

DBusFreedElement* DBusMemPool::free_elements

a free list of elements to recycle

Definition at line 114 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_dealloc().

## zero_elements

unsigned int DBusMemPool::zero_elements

whether to zero-init allocated elements

Definition at line 112 of file dbus-mempool.c.

Referenced by _dbus_mem_pool_alloc(), and _dbus_mem_pool_new().

The documentation for this struct was generated from the following file:

- dbus-mempool.c